Subject: bug#74869: Fwd: [PATCH] Add predicates for decoded times and time deltas

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Feb 2025 11:14:05 -0800

Paul Eggert <[email-masked]> writes:

> Forwarding another mis-addressed email of mine.
>
>
> -------- Forwarded Message --------
> Subject: Re: [PATCH] Add predicates for decoded times and time deltas
> Date: Sat, 28 Dec 2024 09:26:23 -0800
> From: Paul Eggert <[email-masked]>
> To: Richard Lawrence <[email-masked]>
> CC: [email-masked]
>
> On 12/28/24 07:56, Richard Lawrence wrote:
>> I need to use
>> `calendar-extract-month' with a plain date value, but
>> `decoded-time-month' with a date-time value. I need type predicates to
>> do such dispatching.
>
> Not necessarily; you can instead try each function in turn and use the first
> that works.
>
> I have some qualms about saying that decoded times are a "type". Whether a
> decoded time is valid depends on the timezone: (0 30 2 10 3 2024 0 t -21600) is
> a valid decoded time in Phoenix but not in Denver, because clocks sprang forward
> over that time in Denver but not in Phoenix. When data interpretation gets that
> complicated, the Emacs notion of "type" is not always the best.

Does that mean to imply that this bug is a wontfix?